Subject: Re: [PATCH v2 iwl-net 3/3] ice: Reject pin requests with unsupported flags

From: Simon Horman <[email-masked]>
Date: Fri, 21 Jun 2024 12:04:19 +0100

On Thu, Jun 20, 2024 at 02:27:10PM +0200, Karol Kolacinski wrote:
> From: Jacob Keller <[email-masked]>
> 
> The driver receives requests for configuring pins via the .enable
> callback of the PTP clock object. These requests come into the driver
> with flags which modify the requested behavior from userspace. Current
> implementation in ice does not reject flags that it doesn't support.
> This causes the driver to incorrectly apply requests with such flags as
> PTP_PEROUT_DUTY_CYCLE, or any future flags added by the kernel which it
> is not yet aware of.
> 
> Fix this by properly validating flags in both ice_ptp_cfg_perout and
> ice_ptp_cfg_extts. Ensure that we check by bit-wise negating supported
> flags rather than just checking and rejecting known un-supported flags.
> This is preferable, as it ensures better compatibility with future
> kernels.
> 
> Fixes: 172db5f91d5f ("ice: add support for auxiliary input/output pins")
> Reviewed-by: Przemek Kitszel <[email-masked]>
> Signed-off-by: Jacob Keller <[email-masked]>
> Signed-off-by: Karol Kolacinski <[email-masked]>
> ---
> V1 -> V2: adjusted indentation and added NULL config pointer check

Thanks for the update, this version looks good to me.

Reviewed-by: Simon Horman <[email-masked]>